/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import Ember from 'ember';
import { moduleForComponent, test } from 'ember-qunit';

moduleForComponent('query-editor', 'QueryEditorComponent', {
  unit: true
});

test('initEditor sets the editor on didInsertElement', function () {
  expect(2);

  var component = this.subject();

  equal(component.get('editor'), undefined, 'element not rendered. Editor not set.');

  this.$();

  ok(component.get('editor'), 'element rendered. Editor set.');
});

test('updateValue sets the query value on the editor.', function () {
  expect(1);

  var component = this.subject();

  var query = 'select something';

  this.$();

  Ember.run(function () {
    component.set(('query'), query);
  });

  equal(component.get('editor').getValue(), query, 'set query property. Updated editor value property.');
});
